## gcc-4.2 4.2.1-4maemo9+0m5

=== debian/changelog ===
gcc-4.2 (4.2.1-4maemo9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 25 Jun 2009 15:19:27 +0300

gcc-4.2 (4.2.1-4maemo9) unstable; urgency=low

  * Fixes: NB#122504 Added .gnu_debuglink section to libstdc++

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 25 Jun 2009 13:25:32 +0300

gcc-4.2 (4.2.1-4maemo8+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 18 May 2009 13:44:32 +0300

gcc-4.2 (4.2.1-4maemo8) unstable; urgency=low

  * Fixed debian packaging for libgcc1-dbg

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 18 May 2009 11:18:04 +0300

gcc-4.2 (4.2.1-4maemo7) unstable; urgency=low

  * A patch to modify arm-linux-gnueabi profiling code fragment applied

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 15 May 2009 11:35:04 +0300

gcc-4.2 (4.2.1-4maemo6) unstable; urgency=low

  * Define new EABI compatible profiler (__gnu_mcount_nc).

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 31 Mar 2009 11:12:04 +0300

gcc-4.2 (4.2.1-4maemo5) unstable; urgency=low

  * Added --hash-style=gnu to gcc/config/arm/linux-elf.h

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 14 Jan 2009 14:36:04 +0200

gcc-4.2 (4.2.1-4maemo4) unstable; urgency=low

  * Fix inconsistencies between original control and the generated one
  * Increase version number in rules.parameters

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 05 Jan 2009 15:33:04 +0200

gcc-4.2 (4.2.1-4maemo3) unstable; urgency=low

  * Set proper version numbers in rules.parameters
  * Remove everything but c and c++ from supported languages in
    rules.defs
  * Remove i386 from biarch list in rules.defs
  * Minimize the addon set

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 22 Dec 2008 11:51:04 +0200

gcc-4.2 (4.2.1-4maemo2) unstable; urgency=low

  * Removed multilib and 64bit dependencies from i386
  * Fix issues with breakages in libgomp html documentation
  * Removed autogen, gperf and gsfonts-x11 from the build dependencies
  * Cleaned up the package a bit

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed,  6 Feb 2008 18:31:29 +0200

gcc-4.2 (4.2.1-4maemo1) unstable; urgency=low

  * Used the packaging from debian as a base for cs2007q3
  * control:
    - removed build dependency to texlive-latex-base
  * rules.defs:
    - don't use else-if construction in conditionals, it breaks sb's make
    - remove patch.stamp from dependencies
  * rules:
    - removed patch.stamp from build and configure stamp dependencies
      (we don't want debian patches)
  * rules2:
    - don't use patch.stamp for generating readme

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 17 Dec 2007 14:49:44 +0200

gcc-4.2 (4.2.2-4) unstable; urgency=low

  [Matthias Klose]
  * Update to SVN 20071123 from the ubuntu/gcc-4_2-branch.
    - Fix PR middle-end/34130, wrong code with some __builtin_abs expressions.
      Closes: #452108.
  * Don't run the testsuite on hppa when expect-tcl8.3 is not available.
  * Fix libgcc1-dbg doc directory symlink. Closes: #447969.
  * Use gcc-multilib as build-dependency instead of gcc-4.1-mulitlib.
  * Support for fast-math on hurd-i386 (Michael Banck). Closes: #451520.
  * Fix again profiling support on the Hurd (Thomas Schwinge). Closes: #434937.

  [Arthur Loiret]
  * Merge gdc-4.1 patches and build infrastructure:
    - gdc-4.2.dpatch: Add, setup gcc-4.2.x for D.
    - gdc-4.2-build.dpatch: Add, update gdc builtins and driver objs.
    - gdc-driver-zlib.dpatch: Add, use up-to-date system zlib.
    - gdc-driver-defaultlib.dpatch: Add, add -defaultlib/-debuglib switches.
    - gdc-driver-nophobos.dpatch: Add, disable libphobos when unsupported.
    - gdc-libphobos-build.dpatch: Add, enable libphobos build when supported.
    - gdc-fix-build.dpatch: Add, fix build on non-biarched 64bits targets.
    - gdc-libphobos-std-format.dpatch: Add, replace assert when formating a
      struct on non-x86_64 archs by a FormatError.
    - gdc-arm-unwind_ptr.dpatch: Add, fix build on arm.
    - gdc-mips-gcc-config.dpatch: Add, fix build on mips.
    - gdc-hurd-proc_maps.dpatch: Add, fix build on hurd.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Nov 2007 12:01:06 +0100

gcc-4.2 (4.2.2-3) unstable; urgency=low

  * Update to SVN 20071014 from the ubuntu/gcc-4_2-branch.
    - Fix build failure in libjava on mips/mipsel.
  * Make 4.2.2-2 a requirement for frontends built from separate sources.
    Addresses: #446596.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Oct 2007 14:13:00 +0200

gcc-4.2 (4.2.2-2) unstable; urgency=low

  * Update to SVN 20071011 from the ubuntu/gcc-4_2-branch.
    - Fix PR middle-end/33448, ICE in create_tmp_var. Closes: #439687.
    - Remove debian/patches/pr31899.dpatch, applied upstream.
    - Remove debian/patches/pr33381.dpatch, applied upstream.
  * gij-hppa: Call gij-4.2, not gij-4.1. Addresses: #446282.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Oct 2007 23:41:52 +0200

gcc-4.2 (4.2.2-1) unstable; urgency=low

  * Update to SVN 20071008 from the ubuntu/gcc-4_2-branch, corresponding
    to the GCC-4.2.2 release.
  * Fix dependencies of lib*gcc1-dbg packages. Closes: #445190.
  * Remove libjava-armeabi patch integrated upstream.
  * gcjwebplugin: Fix path of the gcj subdirectory. LP: #149792.
  * Apply proposed patch for PR debug/31899. Closes: #445268.

  * Add niagara2 optimization support (David Miller).

 -- Matthias Klose <doko@debian.org>  Mon, 08 Oct 2007 21:12:41 +0200

gcc-4.2 (4.2.1-6) unstable; urgency=high

  [Matthias Klose]
  * Update to SVN 20070929 from the ubuntu/gcc-4_2-branch.
    - Fix PR middle-end/33382, ICE (closes: #441481).
    - Fix PR tree-optimization/28544 (4.2.1, closes: #380482).
    - Fix PR libffi/28313, port to mips64 (closes: #358235).

