=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(4\.2[\d\.]*)	4.2.0	uupdate
