## gcc-4.2 4.2.1-4maemo12+0m5

=== debian/changelog ===
gcc-4.2 (4.2.1-4maemo12+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 19 Jan 2010 16:56:48 +0200

gcc-4.2 (4.2.1-4maemo12) unstable; urgency=low

  * Fixes: NB#144375 - gcc performance bug (arm-indirect-pr40887.dpatch)
  * Adds: for armel in debian/rules2
          CONFARGS += --with-arch=armv7a --with-tune=cortex-a8
          CONFARGS += --with-float=softp --with-fpu=vfp
          CONFARGS += --enable-cxx-flags=..., also
          BOOT_CFLAGS, STAGE1_CFLAGS, CFLAGS and CFLAGS_FOR_TARGET modified

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 19 Jan 2010 16:51:39 +0200

gcc-4.2 (4.2.1-4maemo11) unstable; urgency=low

  * Bad version

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 13 Jan 2010 11:13:39 +0200

gcc-4.2 (4.2.1-4maemo10) unstable; urgency=low

  * Fixes: NB#150683 (dwarf2out-pr31899.dpatch)

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 14 Dec 2009 18:06:27 +0200
