## gcc-4.2 4.2.1-4maemo13+0m5

=== debian/changelog ===
gcc-4.2 (4.2.1-4maemo13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4.2.1-4maemo13+0m5

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 16 Mar 2010 01:18:06 +0200

gcc-4.2 (4.2.1-4maemo13) unstable; urgency=low

  * Fixes: NB#160605 - gcc-4.2-base postinst fails in rescue mode

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 15 Mar 2010 14:07:48 +0200
