=== debian/control ===
Source: gcc-4.2
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.7.2
Build-Depends: dpkg-dev (>= 1.13.9), gcc-multilib [amd64 powerpc ppc64 s390 sparc kfreebsd-amd64], libc6.1-dev (>= 2.5) [alpha ia64] | libc0.3-dev (>= 2.5) [hurd-i386] | libc0.1-dev (>= 2.5) [kfreebsd-i386 kfreebsd-amd64 knetbsd-gnu] | libc12-dev (>= 2.5) [netbsd-elf-gnu] | libc6-dev (>= 2.5), libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], libc6-dev-i386 [amd64], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64], lib64gcc1 [powerpc sparc s390], libunwind7-dev (>= 0.98.5-6) [ia64], libatomic-ops-dev [ia64], m4, autoconf, autoconf2.13, automake1.9, libtool, gawk, expect-tcl8.3 [hppa], bzip2, binutils (>= 2.17cvs20070426) | binutils-multiarch (>= 2.17cvs20070426), binutils-hppa64 (>= 2.17cvs20070426) [hppa], debhelper (>= 5.0), bison, flex, gettext, texinfo (>= 4.3), locales [!hurd-i386 !knetbsd-i386 !netbsd-i386 !arm !armel !m68k], procps [!hurd-i386], sharutils, realpath (>= 1.9.12), chrpath, lsb-release, make (>= 3.81)
Build-Depends-Indep: doxygen (>= 1.4.2), graphviz (>= 2.2), tetex-extra, 

Package: gcc-4.2-base
Architecture: any
Section: libs
Priority: required
Description: The GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
Architecture: any
Section: libs
Priority: required
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc1-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), libgcc1 (= ${gcc:EpochVersion})
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc2
Architecture: m68k
Section: libs
Priority: required
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc2-dbg
Architecture: m68k
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), libgcc2 (= ${Source-Version})
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: libgcc4
Architecture: hppa
Section: libs
Priority: required
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

Package: libgcc4-dbg
Architecture: hppa
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), libgcc4 (= ${Source-Version})
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.

Package: gcc-4.2
Architecture: any
Section: devel
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), cpp-4.2 (= ${Source-Version}), binutils (>= ${binutils:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libunwinddev}, ${shlibs:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, libmudflap0-4.2-dev (>= ${Source-Version}), gcc-4.2-doc (>= ${gcc:SoftVersion}), gcc-4.2-locales (>= ${gcc:SoftVersion}), libgcc1-dbg, libgomp1-dbg, libmudflap0-4.2-dbg
Replaces: gcc-4.2-base (<< 4.2.1-5)
Provides: c-compiler
Description: The GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: gcc-4.2-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Conflicts: gcc-3.3-hppa64 (<= 1:3.3.4-5), gcc-3.4-hppa64 (<= 3.4.1-3)
Description: The GNU C compiler (cross compiler for hppa64)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.

Package: cpp-4.2
Architecture: any
Section: interpreters
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Suggests: gcc-4.2-locales (>= ${gcc:SoftVersion})
Conflicts: cpp-4.2 (<< 4.2-20070307), gcc-4.2 (<< 4.2-20070307), g++-4.2 (<< 4.2-20070307), gobjc-4.2 (<< 4.2-20070307), gobjc++-4.2 (<< 4.2-20070307), gfortran-4.2 (<< 4.2-20070307), treelang-4.2 (<< 4.2-20070307), gcj-4.2 (<< 4.2-20070307), gcj-4.2 (<< 4.2-20070307), gcc-4.2-multilib (<< 4.2-20070307), g++-4.2-multilib (<< 4.2-20070307), gobjc-4.2-multilib (<< 4.2-20070307), gobjc++-4.2-multilib (<< 4.2-20070307), gfortran-4.2-multilib (<< 4.2-20070307)
Description: The GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.

Package: gcc-4.2-locales
Architecture: all
Section: devel
Priority: optional
Depends: gcc-4.2-base (>= ${gcc:SoftVersion}), cpp-4.2 (>= ${gcc:SoftVersion})
Recommends: gcc-4.2 (>= ${gcc:SoftVersion})
Description: The GNU C compiler (native language support files)
 Native language support for GCC. Lets GCC speak your language,
 if translations are available.
 .
 Please do NOT submit bug reports in other languages than "C".
 Always reset your language settings to use the "C" locales.

Package: g++-4.2
Architecture: any
Section: devel
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), gcc-4.2 (= ${Source-Version}), libstdc++6-4.2-dev (= ${Source-Version}), ${shlibs:Depends}
Provides: c++-compiler, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-4.2-doc (>= ${gcc:SoftVersion}), libstdc++6-4.2-dbg
Description: The GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.

Package: libmudflap0
Architecture: any
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Description: GCC mudflap shared support libraries
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: libmudflap0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), libmudflap0 (= ${Source-Version})
Description: GCC mudflap shared support libraries (debug symbols)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib32mudflap0
Architecture: amd64 ppc64 kfreebsd-amd64
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libmudflap0 (<< 4.1)
Description: GCC mudflap shared support libraries (32bit)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib32mudflap0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), lib32mudflap0 (= ${Source-Version})
Description: GCC mudflap shared support libraries (32 bit debug symbols)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib64mudflap0
Architecture: powerpc sparc s390
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Replaces: libmudflap0 (<< 4.1)
Description: GCC mudflap shared support libraries (64bit)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: lib64mudflap0-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), lib64mudflap0 (= ${Source-Version})
Description: GCC mudflap shared support libraries (64 bit debug symbols)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.

Package: libmudflap0-4.2-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), libmudflap0 (>= ${Source-Version}), ${dep:libcdev}, ${shlibs:Depends}
Suggests: ${sug:libmudflapdev}
Conflicts: libmudflap0-dev
Description: GCC mudflap support libraries (development files)
 The libmudflap libraries are used by GCC for instrumenting pointer and array
 dereferencing operations.
 .
 This package contains the headers and the static libraries.

Package: libgomp1
Architecture: any
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: libgomp1-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), libgomp1 (= ${Source-Version})
Description: GCC OpenMP (GOMP) support library (debug symbols)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: lib32gomp1
Architecture: amd64 ppc64 kfreebsd-amd64
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Description: GCC OpenMP (GOMP) support library (32bit)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: lib32gomp1-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), lib32gomp1 (= ${Source-Version})
Description: GCC OpenMP (GOMP) support library (32 bit debug symbols)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: lib64gomp1
Architecture: powerpc sparc s390
Section: libs
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), ${dep:libcbiarch}, ${shlibs:Depends}
Description: GCC OpenMP (GOMP) support library (64bit)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: lib64gomp1-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gcc-4.2-base (= ${Source-Version}), lib64gomp1 (= ${Source-Version})
Description: GCC OpenMP (GOMP) support library (64bit debug symbols)
 GOMP is an implementation of OpenMP for the C, C++, and Fortran 95 compilers
 in the GNU Compiler Collection.

Package: protoize
Architecture: any
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), gcc-4.2 (>= ${Source-Version}), ${shlibs:Depends}
Description: Create/remove ANSI prototypes from C code
 "protoize" can be used to add prototypes to a program, thus converting
 the program to ANSI C in one respect.  The companion program "unprotoize"
 does the reverse: it removes argument types from any prototypes
 that are found.

Package: gobjc++-4.2
Architecture: any
Priority: optional
Depends: gcc-4.2-base (= ${Source-Version}), gobjc-4.2 (= ${Source-Version}), g++-4.2 (= ${Source-Version}), ${shlibs:Depends}, libobjc2 (>= ${Source-Version})
Suggests: ${gobjcxx:multilib}, gcc-4.2-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler
Description: The GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libstdc++6
Architecture: any
Section: libs
Priority: required
Depends: gcc-4.2-base (= ${Source-Version}), ${shlibs:Depends}
Conflicts: scim (<< 1.4.2-1)
Description: The GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
